%define cvs_date 20080520

Name: ewl
Version: 0.5.2.042
Release: alt1.%cvs_date

Summary: Enlightenment Widget Library
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org
Source: %name-%version.tar.bz2

Requires: lib%name = %version-%release

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

BuildPreReq: libemotion-devel >= 0.1.0.042
BuildRequires: edje libecore-devel libedb-devel libedje-devel libeet-devel libevas-devel
BuildRequires: libepsilon-devel libefreet-devel embryo_cc libX11-devel

%description
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

%package -n lib%name
Summary: Ewl libraries libraries.
Group: Development/C

%description -n lib%name
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

%package -n lib%name-devel
Summary: Ewl headers and development libraries.
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

Ewl headers and development libraries.

%package -n lib%name-devel-static
Summary: Ewl static libraries.
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

Ewl static libraries

%package -n lib%name-examples
Summary: EWL test programs
Group: Development/Other
Requires: lib%name = %version-%release

%description -n lib%name-examples
Enlightened Widget Library (EWL)  provides a widget abstraction to creating
GUI's using Evas and Edje. The use of edje allows for easy creation of fairly
advanced themes.

This package contains test programs from EWL distribution.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

find %buildroot%_libdir/ewl -name "*.la" -delete

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%_libdir/ewl
%_datadir/%name
%config(noreplace)%_sysconfdir/ewl
%exclude %_datadir/%name/examples
%doc AUTHORS COPYING README ChangeLog

%files -n lib%name-devel
%_pkgconfigdir/*.pc
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files -n lib%name-examples
%_datadir/%name/examples
%_bindir/*

%changelog
* Mon Oct 27 2008 Yuri N. Sedunov <aris@altlinux.org> 0.5.2.042-alt1.20080520
- SVN from 20080520

* Mon Sep 17 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.1.011-alt1.20070917
- CVS from 20070917.

* Thu Sep 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.1.011-alt1.20070905
- CVS from 20070905.

* Tue Jul 31 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.1.010-alt1.20070731
- CVS from 20070731.

* Wed May 09 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.5.1.008-alt1.20070509
- CVS from 20070509.

* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.4-alt0.2_002_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.4-alt0.2_002_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.4-alt0.2_002_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.4-alt0.2_002_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.4-alt0.2_002_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.4-alt0.2_002_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.0.4-alt0.2_002_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.0.4-alt0.2_002_20050329
- updated from cvs.
- added local m4 to aclocal path

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.0.4-alt0.1_20050122
- updated from cvs.

* Mon Dec 20 2004 Alex Murygin <murygin@altlinux.ru> 0.0.4-alt0.1_20041216
- updated from cvs.

* Sat Mar 15 2003 Alex Murygin <murygin@altlinux.ru> 0.0.1-alt0.1_20030315
- Updated from cvs.

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.0.1-alt0.1_20021123
- First build for Sisyphus.
